<div class="container" *ngIf="movie">
  <h1>{{movie.name}}</h1>
  <br>
  <div id="trailer">
    <p>Trailer: </p>
    <iframe [src]=(movie.youtube|safe) allowfullscreen></iframe>
  </div>
  <div id="text">
    <p>Opis: {{movie.synopsis}}</p>
    <br>
    <p>Žanr: {{movie.genre}}</p>
    <br>
    <p>Režija: {{movie.director}}</p>
    <br>
    <p>Uloge: {{movie.actors}}</p>
    <br>
    <p>Trajanje filma: {{movie.duration}}</p>
  </div>

  <hr>

  <h3 class="text-uppercase">Projekcije: </h3>
  <ng-template #noScreenings>
    Trenutno nema projekcija za ovaj film.
  </ng-template>
  <div *ngIf="screenings?.length > 0; else noScreenings" class="row">
    <div class="table-responsive">
      <table class="table">
        <thead>
          <tr class="text-uppercase">
            <th>datum</th>
            <th>vreme</th>
            <th>sala</th>
            <th>rezerviši kartu</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let screening of screenings">
            <td>{{ screening.date | date: 'dd/MM/yyyy' }}</td>
            <td>{{ screening.showtime }}</td>
            <td>{{ screening.cinemaHall['name'] }}</td>
            <td><a [routerLink]="['/reservation', screening._id]">rezerviši</a></td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</div>


